## writer2latex 1.4

=== debian/changelog ===
writer2latex (1.4-8~18.04) bionic; urgency=medium

  * Backport for OpenJDK 11. LP: #1814133.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 26 Feb 2019 16:44:25 +0100

writer2latex (1.4-8) unstable; urgency=medium

  * remove code changes of no_JSON.diff and use libandroid-json-java.
  * move more java5-runtime to java6-runtimes

 -- Rene Engelhard <rene@debian.org>  Sun, 04 Nov 2018 21:51:10 +0100

writer2latex (1.4-7) unstable; urgency=medium

  * Revert "remove code changes of no_JSON.diff and use libandroid-json-java"
    for now...

 -- Rene Engelhard <rene@debian.org>  Sun, 04 Nov 2018 20:59:52 +0100

writer2latex (1.4-6) unstable; urgency=medium

  * build-depend on libjaxb-java and add jaxb-api.jar to main.class.path,
    thanks Emmanuel Bourg for the hint (closes: #912270)
  * remove code changes of no_JSON.diff and use libandroid-json-java
  * java2-runtime -> java6-runtime in Depends:...

 -- Rene Engelhard <rene@debian.org>  Sun, 04 Nov 2018 18:47:00 +0000

writer2latex (1.4-5) unstable; urgency=medium

  * also update libreoffice-writer2xhtml...

 -- Rene Engelhard <rene@debian.org>  Mon, 23 Apr 2018 12:02:18 +0200

writer2latex (1.4-4) unstable; urgency=medium

  * update Vcs-* to salsa
  * remove g(c|i)j alternatives in Depends:

 -- Rene Engelhard <rene@debian.org>  Sun, 22 Apr 2018 17:52:22 +0000

writer2latex (1.4-3) unstable; urgency=medium

  * debian/patches/no-built-by.diff: don't write Built-By: into the manifest
    so that the build really gets reproducible

 -- Rene Engelhard <rene@debian.org>  Wed, 16 Aug 2017 20:54:15 +0000

writer2latex (1.4-2) unstable; urgency=medium

  * use <arg value="-notimestamp"/> for javadoc to make them
    reproducible (closes: #860098)
  * bump debian/compat to 9

 -- Rene Engelhard <rene@debian.org>  Sat, 27 May 2017 11:35:24 +0200

writer2latex (1.4-1) unstable; urgency=medium

  * New upstream release

  * use default-jdk as we require Java 6 now

  * debian/patches/no-JSON.diff: don't require org.JSON which is under
    the "shall be used for Good, not Evil." clause... (and therefore
    removed from the orig)
  * move from dpatch to 3.0 (quilt)

 -- Rene Engelhard <rene@debian.org>  Wed, 23 Dec 2015 21:48:37 +0100

writer2latex (1.0.2-10) unstable; urgency=low

  * upload to unstable 

 -- Rene Engelhard <rene@debian.org>  Fri, 19 Apr 2013 00:59:31 +0200

writer2latex (1.0.2-9) experimental; urgency=low

  * "steal" patch from RedHat to adapt to LO 4.0 API Changes 

 -- Rene Engelhard <rene@debian.org>  Mon, 01 Apr 2013 19:08:45 +0200

writer2latex (1.0.2-8) unstable; urgency=medium

  * Fix build with LibreOffice 3.5, thanks Colin Watson (closes: #669423)

 -- Rene Engelhard <rene@debian.org>  Fri, 20 Apr 2012 01:07:04 +0200

writer2latex (1.0.2-7) unstable; urgency=low

  * remove obsolete debian/po (closes: #619659) 
  * install source/java/writer2latex/xhtml/config/*.xml,
    thanks Samuel Thibault (closes: #639736) 

 -- Rene Engelhard <rene@debian.org>  Mon, 23 Jan 2012 22:05:34 +0100

writer2latex (1.0.2-6) unstable; urgency=high

  * fix build with LibreOffice 3.4 

 -- Rene Engelhard <rene@debian.org>  Mon, 12 Sep 2011 17:10:58 +0200

writer2latex (1.0.2-5) unstable; urgency=low

  * remove spaces at the end of package descriptions (closes: #614214)
  * fix convertingconverts (closes: #618772, #618773)

 -- Rene Engelhard <rene@debian.org>  Fri, 18 Mar 2011 15:54:23 +0100

writer2latex (1.0.2-4) unstable; urgency=low

  * fix/update package descriptions (closes: #613577, #613579) 
  * add Vcs-{Git,Browser} 

 -- Rene Engelhard <rene@debian.org>  Fri, 18 Feb 2011 14:24:24 +0000

writer2latex (1.0.2-3) unstable; urgency=low

  * upload to unstable 

 -- Rene Engelhard <rene@debian.org>  Sun, 06 Feb 2011 11:19:28 +0000

writer2latex (1.0.2-2) experimental; urgency=low

  * change maintainer to Debian LibreOffice Maintainers
  * don't gzip .odt files (closes: #610311) 
  * don't predefine printer settings and name (PrinterSetup and
    PrinterName in settings.xml) in user-manual.odt (closes: #610312)
  * rename to libreoffice-writer2* and install them unpacked
  * remove Pre-Depends; now finally not needed anymore, yay 

 -- Rene Engelhard <rene@debian.org>  Wed, 19 Jan 2011 23:11:06 +0100

writer2latex (1.0.2-1) unstable; urgency=low

  * new upstream release 
  * remove check_for_running_ooo as for OOo itself 

 -- Rene Engelhard <rene@debian.org>  Mon, 22 Nov 2010 00:44:13 +0100

writer2latex (1.0-12) unstable; urgency=medium

  * hack: remove Pre-Depends on openoffice.org-java-common  again, add
    to Depends: instead (see #571771). The gack from 1.0-6 also still
    needed

 -- Rene Engelhard <rene@debian.org>  Sun, 25 Apr 2010 23:56:47 +0200

writer2latex (1.0-11) unstable; urgency=low

  * revert back to build-depending on ant, as ant is now fixed;
    add build-conflicts against ant 1.8.0-{1,2,3}

 -- Rene Engelhard <rene@debian.org>  Tue, 16 Mar 2010 01:03:04 +0100

writer2latex (1.0-10) unstable; urgency=low

  * build-depend on ant1.7 | ant (<< 1.8.0~) (closes: #571397)

 -- Rene Engelhard <rene@debian.org>  Thu, 04 Mar 2010 18:06:03 +0100

writer2latex (1.0-9) unstable; urgency=low

  * update for OOo 3.2 

 -- Rene Engelhard <rene@debian.org>  Thu, 11 Feb 2010 13:10:20 +0100

writer2latex (1.0-8) unstable; urgency=low

  * oops, actually build with -15...

 -- Rene Engelhard <rene@debian.org>  Mon, 08 Feb 2010 01:06:23 +0100

writer2latex (1.0-7) unstable; urgency=low

  * fix clean install to not split out dpkg --compare-versions
    warning (closes: #568713) 
  * restore lost bits in preinst (closes: #568805) 

 -- Rene Engelhard <rene@debian.org>  Mon, 08 Feb 2010 00:55:26 +0100

writer2latex (1.0-6) unstable; urgency=low

  * add missing Pre-Depends on Java and openoffice.org-java-common
  * as the Pre-Depends on -java-common doesn't prevent -common being
    temporarily removed in the upgrade (and we don't have unopkg then...)
    try to recover in postinst from preinst not de-registering the old

