=== debian/control ===
Source: writer2latex
Section: text
Priority: optional
Maintainer: Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>
Uploaders: Rene Engelhard <rene@debian.org>, Chris Halls <halls@debian.org>
Build-Depends: debhelper (>= 6.0.7~), ant, libxerces2-java, libxalan2-java, default-jdk (>= 2:1.6), libreoffice-java-common (>= 1:3.5.0~), ure (>= 1.4.1~), tex-common, zip, unzip, libandroid-json-java, libjaxb-java
Build-Conflicts: ant (= 1.8.0-1), ant (= 1.8.0-2), ant (= 1.8.0-3)
Standards-Version: 3.7.2
Vcs-Git: https://salsa.debian.org/libreoffice-team/extensions/writer2latex.git
Vcs-Browser: https://salsa.debian.org/libreoffice-team/extensions/writer2latex
Homepage: http://writer2latex.sourceforge.net

Package: writer2latex
Architecture: all
Depends: java6-runtime, libwriter2latex-java, ${misc:Depends}
Recommends: www-browser | x-www-browser | pdf-viewer | libreoffice-writer
Description: OpenOffice.org Writer/Calc to LaTeX/XHTML converter
 Writer2LaTeX is a java utility to convert OpenOffice.org/LibreOffice
 documents – in particular documents containing formulas – into other
 formats. It is actually a collection of four converters, i.e.:
  1) Writer2LaTeX converts documents into LaTeX 2e format for high quality
     typesetting.
  2) Writer2BibTeX extracts bibliographic data from a document and stores it in
     BibTeX format (works together with Writer2LaTeX).
  3) Writer2xhtml converts documents into XHTML 1.0 or XHTML 1.1+MathML 2.0 with
     CSS2.
  4) Calc2xhtml is a companion to Writer2xhtml that converts Calc documents
     to XHTML 1.0 with CSS2 to display your spreadsheets on the web.

Package: writer2latex-manual
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: OpenOffice.org Writer/Calc to LaTeX/XHTML converter -- manual
 Writer2LaTeX is a java utility to convert OpenOffice.org/LibreOffice
 documents – in particular documents containing formulas – into other
 formats. It is actually a collection of four converters, i.e.:
  1) Writer2LaTeX converts documents into LaTeX 2e format for high quality
     typesetting.
  2) Writer2BibTeX extracts bibliographic data from a document and stores it in
     BibTeX format (works together with Writer2LaTeX).
  3) Writer2xhtml converts documents into XHTML 1.0 or XHTML 1.1+MathML 2.0 with
     CSS2.
  4) Calc2xhtml is a companion to Writer2xhtml that converts Calc documents
     to XHTML 1.0 with CSS2 to display your spreadsheets on the web.
 .
 This package contains the manual.

Package: libwriter2latex-java-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Recommends: www-browser | x-www-browser
Description: OpenOffice.org Writer/Calc to LaTeX/XHTML converter -- javadoc
 Writer2LaTeX is a java utility to convert OpenOffice.org/LibreOffice
 documents – in particular documents containing formulas – into other
 formats. It is actually a collection of four converters, i.e.:
  1) Writer2LaTeX converts documents into LaTeX 2e format for high quality
     typesetting.
  2) Writer2BibTeX extracts bibliographic data from a document and stores it in
     BibTeX format (works together with Writer2LaTeX).
  3) Writer2xhtml converts documents into XHTML 1.0 or XHTML 1.1+MathML 2.0 with
     CSS2.
  4) Calc2xhtml is a companion to Writer2xhtml that converts Calc documents
     to XHTML 1.0 with CSS2 to display your spreadsheets on the web.
 .
 This package contains the javadoc for the writer2latex library.

Package: libwriter2latex-java
Section: java
Architecture: all
Depends: libxalan2-java, libxerces2-java, libandroid-json-java, libjaxb-java, ${misc:Depends}
Description: OpenOffice.org Writer/Calc to LaTeX/XHTML converter -- library
 Writer2LaTeX is a java utility to convert OpenOffice.org/LibreOffice
 documents - in particular documents containing formulas - into other
 formats. It is actually a collection of four converters, i.e.:
  1) Writer2LaTeX converts documents into LaTeX 2e format for high quality
     typesetting.
  2) Writer2BibTeX extracts bibliographic data from a document and stores it in
     BibTeX format (works together with Writer2LaTeX).
  3) Writer2xhtml converts documents into XHTML 1.0 or XHTML 1.1+MathML 2.0 with
     CSS2.
  4) Calc2xhtml is a companion to Writer2xhtml that converts Calc documents
     to XHTML 1.0 with CSS2 to display your spreadsheets on the web.
 .
 This package contains the java library.

Package: libreoffice-writer2latex
Architecture: all
Depends: default-jre | java6-runtime, libreoffice-core (>= 1:2.3.0~oog680m1), libreoffice-java-common (>= 1:2.3.0~oog680m1), ${misc:Depends}
Enhances: libreoffice-writer, libreoffice-calc
Conflicts: libreoffice-core (<< 1:3.0.0~), libreoffice-common (<< 1:3.0.1-10), ure (<< 1.5.1+OOo3.1.1-15)
Description: Writer/Calc to LaTeX converter extension for LibreOffice
 Writer2LaTeX is a java utility to convert OpenOffice.org/LibreOffice
 documents – in particular documents containing formulas – into other
 formats. It is actually a collection of four converters, i.e.:
  1) Writer2LaTeX converts documents into LaTeX 2e format for high quality
     typesetting.
  2) Writer2BibTeX extracts bibliographic data from a document and stores it in
     BibTeX format (works together with Writer2LaTeX).
  3) Writer2xhtml converts documents into XHTML 1.0 or XHTML 1.1+MathML 2.0 with
     CSS2.
  4) Calc2xhtml is a companion to Writer2xhtml that converts Calc documents
     to XHTML 1.0 with CSS2 to display your spreadsheets on the web.
 .
 This package contains the extension providing writer2latex for LibreOffice.

Package: libreoffice-writer2xhtml
Architecture: all
Depends: default-jre | java6-runtime, libreoffice-core (>= 1:2.3.0~oog680m1), libreoffice-java-common (>= 1:2.3.0~oog680m1), ${misc:Depends}
Enhances: libreoffice-writer, libreoffice-calc
Conflicts: libreoffice-core (<< 1:3.0.0~), libreoffice-common (<< 1:3.0.1-10), ure (<< 1.5.1+OOo3.1.1-15)
Description: Writer/Calc to XHTML converter extension for LibreOffice
 Writer2LaTeX is a java utility to convert OpenOffice.org/LibreOffice
 documents – in particular documents containing formulas – into other
 formats. It is actually a collection of four converters, i.e.:
  1) Writer2LaTeX converts documents into LaTeX 2e format for high quality
     typesetting.
  2) Writer2BibTeX extracts bibliographic data from a document and stores it in
     BibTeX format (works together with Writer2LaTeX).
  3) Writer2xhtml converts documents into XHTML 1.0 or XHTML 1.1+MathML 2.0 with
     CSS2.
  4) Calc2xhtml is a companion to Writer2xhtml that converts Calc documents
     to XHTML 1.0 with CSS2 to display your spreadsheets on the web.
 .
 This package contains the extension providing writer2xhtml for LibreOffice.
