=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

export JAVA_HOME=/usr/lib/jvm/default-java

configure: configure-stamp
configure-stamp: 
	dh_testdir
	touch configure-stamp


build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp: configure-stamp 

	touch $@

build-indep: build-indep-stamp
build-indep-stamp: configure-stamp 

	ant -DURE_CLASSES=/usr/lib/libreoffice/program/classes -DOFFICE_CLASSES=/usr/lib/libreoffice/program/classes jar
	ant javadoc
	ant oxt
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp configure-stamp

	ant clean

	dh_clean 

install: install-indep install-arch
install-indep:
	dh_testdir
	dh_testroot
	dh_prep -i
	dh_installdirs -i

	install -D -m755 debian/libreoffice-writer2latex.script.bug \
		debian/libreoffice-writer2latex/usr/share/bug/libreoffice-writer2latex/script

	dh_install -i

	# fix up user-manual.odt (#610312)
	t=`mktemp -q -d`; \
	cd $$t && unzip $(CURDIR)/source/distro/doc/user-manual.odt && \
		perl -pi -e 's#<config:config-item config:name="PrinterName" config:type="string">Generic Printer</config:config-item>##' settings.xml && \
		perl -pi -e 's#<config:config-item config:name="PrinterSetup" config:type="base64Binary">VAH+/0dlbmVyaWMgUHJpbnRlcgAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAU0dFTlBSVAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAWAAMAmgAAAAAAAAABAAhSAAAEdAAASm9iRGF0YSAxCnByaW50ZXI9R2VuZXJpYyBQcmludGVyCm9yaWVudGF0aW9uPVBvcnRyYWl0CmNvcGllcz0xCm1hcmdpbmRhanVzdG1lbnQ9MCwwLDAsMApjb2xvcmRlcHRoPTI0CnBzbGV2ZWw9MApjb2xvcmRldmljZT0wClBQRENvbnRleERhdGEKUGFnZVNpemU6QTQAAA==</config:config-item>##' settings.xml && \
		zip -r $(CURDIR)/debian/writer2latex-manual/usr/share/doc/writer2latex/manual/user-manual.odt settings.xml

	mkdir -p debian/libreoffice-writer2latex/usr/lib/libreoffice/share/extensions/writer2latex
	cd debian/libreoffice-writer2latex/usr/lib/libreoffice/share/extensions/writer2latex && \
		unzip -o $(CURDIR)/target/lib/writer2latex.oxt
	mkdir -p debian/libreoffice-writer2xhtml/usr/lib/libreoffice/share/extensions/writer2xhtml
	cd debian/libreoffice-writer2xhtml/usr/lib/libreoffice/share/extensions/writer2xhtml && \
		unzip -o $(CURDIR)/target/lib/writer2xhtml.oxt

install-arch:
	dh_testdir
	dh_testroot
	dh_prep -s
	dh_installdirs -s

	dh_install -s

binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs source/distro/History.txt
	dh_installdocs
	dh_installexamples -pwriter2latex source/distro/samples/*
	dh_installman
	dh_installdebconf
	dh_link
	dh_strip
	dh_compress -X.odt
	dh_fixperms
	unset DH_OPTIONS; dh_installtex -p writer2latex
#	dh_perl
#	dh_nativejava
	dh_lintian
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep: build-indep install-indep
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

binary-arch: build-arch install-arch
	#$(MAKE) -f debian/rules DH_OPTIONS=-s binary-common

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch configure
