## writer2latex 1.6.1

=== debian/changelog ===
writer2latex (1.6.1-8) unstable; urgency=medium

  * patch help.tree to avoid libreoffice crash when reading it on startup

 -- Rene Engelhard <rene@debian.org>  Sun, 01 Feb 2026 10:39:51 +0100

writer2latex (1.6.1-7) unstable; urgency=medium

  * stop building the libreoffice-writer2xhtml package; now done by the
    writer2xhtml source package and improve package description to remove
    the XHTML bits (closes: #653629)

  * debian/rules:
    - use source/distro/changelog.txt for dh_installchangelogs instead of
      History.txt

 -- Rene Engelhard <rene@debian.org>  Fri, 30 Jan 2026 21:22:37 +0100

writer2latex (1.6.1-6) unstable; urgency=medium

  * debian/control, debian/test/control: use full <= 2024.20250309-2
    and >= 2025.20260124-1 for texlive due to dpkgs version comparison
 
 -- Rene Engelhard <rene@debian.org>  Mon, 26 Jan 2026 17:48:37 +0100

writer2latex (1.6.1-5) unstable; urgency=medium

  * debian/control: clean up suggests/recommends:
    - only suggest www-browser | pdf-viewer | libreoffice-writer in
      writer2latex
    - recommend texlive-latex-extra (with matching versions for working
      supertabular.sty) in (libreoffice-)writer2latex
    - recommend libreoffice-writer in libreoffice-writer2{latex,xhtml}
  * debian/rules: update PrinterSetup hack
  * debian/tests/*: run pdflatex now that texlive is fixed

 -- Rene Engelhard <rene@debian.org>  Mon, 26 Jan 2026 02:58:46 +0100

writer2latex (1.6.1-4) unstable; urgency=medium

  * install xhtml-config-sample extension in libreoffice-writer2xhtml

 -- Rene Engelhard <rene@debian.org>  Sun, 28 Dec 2025 14:09:34 +0100

writer2latex (1.6.1-3) unstable; urgency=medium

  * install w2lconfig extension in libreoffice-writer2latex

 -- Rene Engelhard <rene@debian.org>  Sun, 28 Dec 2025 10:02:32 +0100

writer2latex (1.6.1-2) unstable; urgency=medium

  * add autopkgtests (latex and xhtml separately) testing --convert-to in
    libreoffice with the respective extension installed

 -- Rene Engelhard <rene@debian.org>  Tue, 23 Dec 2025 00:31:19 +0100

writer2latex (1.6.1-1) unstable; urgency=medium

  [ Rene Engelhard ]
  * "New" upstream version 1.6.1 (closes: #920354)
  * remove apparently obsolete (Build-)Depends on xalan and xerces 
  * fix -writer2latex javaX-runtime depends
  * fix bug scripts 
  * update copyright/README.source for getting it from sfs svn
  * debian/tests/*: add initial autopkgtest converting user-manual.odt,
    prepare running pdflatex on the convrted file (which doesn't work since
    texlive 2025.06 due to a texlive bug)
  * update source/lintian-overrides

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Update standards version to 4.6.1, no changes needed.

 -- Rene Engelhard <rene@debian.org>  Mon, 22 Dec 2025 10:20:14 +0100

writer2latex (1.4-11) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper dependency to >= 9, since that's what is used in
    debian/compat.
  * Bump debhelper from deprecated 9 to 12.
    + Replace deprecated -s with -a.
  * Set debhelper-compat version in Build-Depends.
  * Apply multi-arch hints.
    + libwriter2latex-java-doc, writer2latex-manual: Add Multi-Arch: foreign.
  * Remove constraints unnecessary since buster:
    + Build-Conflicts: Drop constraint on ant.
    + Build-Depends: Drop versioned constraint on default-jdk.
    + libreoffice-writer2latex: Drop versioned constraint on libreoffice-core
      and libreoffice-java-common in Depends.
    + libreoffice-writer2latex: Drop versioned constraint on libreoffice-common,
      libreoffice-core and ure in Conflicts.
    + libreoffice-writer2xhtml: Drop versioned constraint on libreoffice-core
      and libreoffice-java-common in Depends.
    + libreoffice-writer2xhtml: Drop versioned constraint on libreoffice-common,
      libreoffice-core and ure in Conflicts.

  [ Mattia Rizzolo ]
  * Rewrite d/rules using the dh sequencer.
  * Move installation of examples to an .examples file, out of d/rules.
  * Bump debhelper compat version to 13.
  * Fix lintian tag debian-news-entry-uses-asterisk.
  * Remove several lintian overrides that have been fixed.
  * Bump Standards-Version to 4.6.0:
    + Set Rules-Requires-Root: no.

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 24 Sep 2021 12:01:35 +0200

writer2latex (1.4-10) unstable; urgency=medium

  * (build-)depend on liblibreoffice-java instead of the old compat libs

 -- Rene Engelhard <rene@debian.org>  Tue, 21 Jul 2020 23:12:41 +0200

writer2latex (1.4-9) unstable; urgency=medium

  * make writer2latex depend on default-jre | java6-runtime as the
    other subpackages (closes: #964954)
  * clean up java lib (build-)Depends:
    - use jh_depends, build-depend on javahelper
    - explicitely (build-)depend on libjurt-java, libjuh-java, libridl-java,
      libunoil-java to document their usage instead of libreoffice-java-common
      (and ure)

 -- Rene Engelhard <rene@debian.org>  Mon, 13 Jul 2020 18:29:19 +0200
