=== debian/control ===
Source: writer2latex
Section: text
Priority: optional
Maintainer: Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>
Uploaders:
 Rene Engelhard <rene@debian.org>,
 Chris Halls <halls@debian.org>,
Build-Depends:
 ant,
 debhelper-compat (= 13),
 default-jdk,
 javahelper,
 libandroid-json-java,
 libjaxb-java,
 libjbibtex-java,
 liblibreoffice-java,
 tex-common,
 unzip,
 zip,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/libreoffice-team/extensions/writer2latex.git
Vcs-Browser: https://salsa.debian.org/libreoffice-team/extensions/writer2latex
Homepage: https://writer2latex.sourceforge.net

Package: writer2latex
Architecture: all
Depends:
 default-jre | java8-runtime,
 libwriter2latex-java,
 ${misc:Depends},
Suggests:
 www-browser | x-www-browser | pdf-viewer | libreoffice-writer,
Recommends: texlive-latex-extra (>= 2025.20260124-1) | texlive-latex-extra (<= 2024.20250309-2)
Description: OpenOffice.org Writer/Calc to LaTeX converter
 Writer2LaTeX is a java utility to convert OpenOffice.org/LibreOffice
 documents – in particular documents containing formulas – into other
 formats. It is actually two converters, i.e.:
  1) Writer2LaTeX converts documents into LaTeX 2e format for high quality
     typesetting.
  2) Writer2BibTeX extracts bibliographic data from a document and stores it in
     BibTeX format (works together with Writer2LaTeX).

Package: writer2latex-manual
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
Multi-Arch: foreign
Description: OpenOffice.org Writer/Calc to LaTeX converter -- manual
 Writer2LaTeX is a java utility to convert OpenOffice.org/LibreOffice
 documents – in particular documents containing formulas – into other
 formats. It is actually two converters, i.e.:
  1) Writer2LaTeX converts documents into LaTeX 2e format for high quality
     typesetting.
  2) Writer2BibTeX extracts bibliographic data from a document and stores it in
     BibTeX format (works together with Writer2LaTeX).
 .
 This package contains the manual.

Package: libwriter2latex-java-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
Recommends:
 www-browser | x-www-browser,
Multi-Arch: foreign
Description: OpenOffice.org Writer/Calc to LaTeX converter -- javadoc
 Writer2LaTeX is a java utility to convert OpenOffice.org/LibreOffice
 documents – in particular documents containing formulas – into other
 formats. It is actually two converters, i.e.:
  1) Writer2LaTeX converts documents into LaTeX 2e format for high quality
     typesetting.
  2) Writer2BibTeX extracts bibliographic data from a document and stores it in
     BibTeX format (works together with Writer2LaTeX).
 .
 This package contains the javadoc for the writer2latex library.

Package: libwriter2latex-java
Section: java
Architecture: all
Depends:
 ${java:Depends},
 ${misc:Depends},
Description: OpenOffice.org Writer/Calc to LaTeX converter -- library
 Writer2LaTeX is a java utility to convert OpenOffice.org/LibreOffice
 documents - in particular documents containing formulas - into other
 formats. It is actually two converters, i.e.:
  1) Writer2LaTeX converts documents into LaTeX 2e format for high quality
     typesetting.
  2) Writer2BibTeX extracts bibliographic data from a document and stores it in
     BibTeX format (works together with Writer2LaTeX).
 .
 This package contains the java library.

Package: libreoffice-writer2latex
Architecture: all
Depends:
 default-jre | java8-runtime,
 liblibreoffice-java,
 libreoffice-core,
 libreoffice-java-common,
 ${java:Depends},
 ${misc:Depends},
Enhances:
 libreoffice-calc,
 libreoffice-writer,
Recommends: libreoffice-writer, texlive-latex-extra (>= 2025.20260124-1) | texlive-latex-extra (<= 2024.20250309-2)
Description: Writer/Calc to LaTeX converter extension for LibreOffice
 Writer2LaTeX is a java utility to convert OpenOffice.org/LibreOffice
 documents – in particular documents containing formulas – into other
 formats. It is actually two converters, i.e.:
  1) Writer2LaTeX converts documents into LaTeX 2e format for high quality
     typesetting.
  2) Writer2BibTeX extracts bibliographic data from a document and stores it in
     BibTeX format (works together with Writer2LaTeX).
 .
 This package contains the extension providing writer2latex for LibreOffice.
