## writer2latex 1.9.9~beta

=== debian/changelog ===
writer2latex (1.9.9~beta-7) experimental; urgency=medium

  * patch help.tree to avoid libreoffice crash when reading it on startup

 -- Rene Engelhard <rene@debian.org>  Sun, 01 Feb 2026 10:39:51 +0100

writer2latex (1.9.9~beta-6) experimental; urgency=medium

  * debian/control: clean up suggests/recommends:
    - only suggest www-browser | pdf-viewer | libreoffice-writer in
      writer2latex
    - recommend texlive-latex-extra (with matching versions for working
      supertabular.sty) in (libreoffice-)writer2latex
    - recommend libreoffice-writer in libreoffice-writer2{latex,xhtml}
  * debian/rules: 
    - update PrinterSetup hack
    - use source/distro/changelog.txt for dh_installchangelogs instead of
      History.txt
  * debian/tests/*: run pdflatex now that texlive is fixed
  * debian/control: improve package description to remove some more XHTML
    bits

 -- Rene Engelhard <rene@debian.org>  Mon, 26 Jan 2026 02:58:46 +0100

writer2latex (1.9.9~beta-5) experimental; urgency=medium

  * install writer2latex-config extension in libreoffice-writer2latex

 -- Rene Engelhard <rene@debian.org>  Sun, 28 Dec 2025 09:54:57 +0100

writer2latex (1.9.9~beta-4) experimental; urgency=medium

  * fix typo in build.xml patches: s/org.bibtex/org.jbibtex/, now also the
    libreoffice test passes correctly

 -- Rene Engelhard <rene@debian.org>  Wed, 24 Dec 2025 23:48:39 +0100

writer2latex (1.9.9~beta-3) experimental; urgency=medium

  * use libopenjson-java and replace org.json.* to com.github.openjson.*
    in imports 

 -- Rene Engelhard <rene@debian.org>  Wed, 24 Dec 2025 17:36:55 +0000

writer2latex (1.9.9~beta-2) experimental; urgency=medium

  * merge new LO autopkgtests from 1.6.1-2
  * debian/tests/convert-test-w2l: fix for 1.9.9 dirs (s/source/src/)

 -- Rene Engelhard <rene@debian.org>  Tue, 23 Dec 2025 00:31:19 +0100

writer2latex (1.9.9~beta-1) experimental; urgency=medium

  * New upstream version 1.9.9~beta

  * use libjson-java instead of libandroid-json-java since this doesn't build
    anymore with the former 

  * stop building the libreoffice-writer2xhtml package; now done by the
    writer2xhtml source package (closes: #653629)

 -- Rene Engelhard <rene@debian.org>  Mon, 22 Dec 2025 10:23:15 +0100
