=== debian/tests/control ===
Tests: convert-test-w2l
Depends: writer2latex, texlive-latex-extra (>= 2025.20260124-1) | texlive-latex-extra (<= 2024.20250309-2), texlive-lang-french, texlive-lang-greek
Restrictions: allow-stderr

Tests: convert-test-libreoffice
Depends: libreoffice-writer-nogui | libreoffice-writer, libreoffice-writer2latex, texlive-latex-extra (>= 2025.20260124-1) | texlive-latex-extra (<= 2024.20250309-2), texlive-lang-french, texlive-lang-greek
Restrictions: allow-stderr
